document.addEventListener('DOMContentLoaded', function () {
  const tabs = document.querySelectorAll('.nav-tab-wrapper a');
  const contents = document.querySelectorAll('.rss-tab-content');
  const hiddenField = document.getElementById('rss_display_last_tab');
  const lastTab = sessionStorage.getItem('rss_display_last_tab');

  // 最後に開いていたタブを復元
  if (lastTab && document.querySelector(lastTab)) {
    tabs.forEach(t => t.classList.remove('nav-tab-active'));
    contents.forEach(c => c.style.display = 'none');
    document.querySelector(`.nav-tab-wrapper a[href="${lastTab}"]`).classList.add('nav-tab-active');
    document.querySelector(lastTab).style.display = 'block';
    if (hiddenField) hiddenField.value = lastTab;
  }

  // タブクリック時の挙動
  tabs.forEach(tab => {
    tab.addEventListener('click', function (e) {
      e.preventDefault();
      const target = this.getAttribute('href');

      sessionStorage.setItem('rss_display_last_tab', target);
      if (hiddenField) hiddenField.value = target;

      tabs.forEach(t => t.classList.remove('nav-tab-active'));
      contents.forEach(c => c.style.display = 'none');

      this.classList.add('nav-tab-active');
      const content = document.querySelector(target);
      if (content) content.style.display = 'block';
    });
  });
});
